local L = LibStub("AceLocale-3.0"):GetLocale("EasyDKP")

function EasyDKP:GetOptions()
	local options = { 
		name = "EasyDKP",
		handler = EasyDKP,
		type='group',
		childGroups ='tree',
		args = {
			minquality = {
				type = 'range',
				name = L["Min Quality"],
				desc = L["help_minquality"],
				min = 1,
				max = 6,
				step = 1,
				get = "GetMinQuality",
				set = "SetMinQuality",
				order = 1,
			},
			maxquality = {
				type = 'range',
				name = L["Max Quality"],
				desc = L["help_maxquality"],
				min = 1,
				max = 6,
				step = 1,
				get = "GetMinQuality",
				set = "SetMinQuality",
				order = 1,
			},
			debug = {
				type = 'toggle',
				name = L["Debug mode"],
				desc = L["help_debug"],
				get = "GetDebug",
				set = "SetDebug",
				order = 9,
			},
			config = {
				type = 'execute',
				name = L["Configure Options"],
				desc = L["help_config"],
				func = "OpenConfig",
				order = 13,
			},
--~ 			news = {
--~ 				type = 'execute',
--~ 				name = L["Display News"],
--~ 				desc = L["help_news"],
--~ 				func = function() self:News(true); end,
--~ 				order = 14,
--~ 			},
			version = {
				type = 'execute',
				name = L["Version"],
				desc = L["help_version"],
				func = "DisplayVersion",
				order = 15,
			},
			help = {
				type = 'description',
				name = L["help"],
				guiHidden = true,
				order = 16,
			},
		},
	}
	return options
end

function EasyDKP:GetDebug()
	return self.db.profile.debug
end

function EasyDKP:SetDebug()
	self.db.profile.debug = not self.db.profile.debug
	if (self.db.profile.debug) then
		self:Print(L["config_debug_on"])
	else
		self:Print(L["config_debug_off"])
	end
end

function EasyDKP:GetMinQuality()
	return self.db.profile.minquality
end

function EasyDKP:SetMinQuality(newvalue)
	self.db.profile.minquality = newvalue
	self:Print(L["config_minquality"]..newvalue)
end

function EasyDKP:GetMaxQuality()
	return self.db.profile.maxquality
end

function EasyDKP:SetMaxQuality(newvalue)
	self.db.profile.maxquality = newvalue
	self:Print(L["config_maxquality"]..newvalue)
end

function EasyDKP:OpenConfig()
	if InterfaceOptionsFrame_OpenToCategory then
	    InterfaceOptionsFrame_OpenToCategory("EasyDKP");
    else
        InterfaceOptionsFrame_OpenToFrame("EasyDKP");
    end
end

function EasyDKP:DisplayVersion()
	self:Print(self.version)
end
